> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener lista de registros de webhook

> Registro de cada webhook que se ha enviado en su respectivo estado y evento el cual lo generó



## OpenAPI

````yaml get /webhook/log
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /webhook/log:
    get:
      tags:
        - Webhook
      summary: Obtener lista de registros de webhook
      description: >-
        Registro de cada webhook que se ha enviado en su respectivo estado y
        evento el cual lo generó
      parameters:
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: number
            nullable: true
            default: 0
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 0
            exclusiveMinimum: true
            default: 500
          required: false
          name: limit
          in: query
        - schema:
            type: string
            enum:
              - success
              - error
              - ongoing
          required: false
          name: status
          in: query
      responses:
        '200':
          description: Registros de webhook recuperados con éxito
          content:
            application/json:
              schema:
                type: object
                properties:
                  logs:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            webhookId:
                              type: number
                            status:
                              type: string
                              enum:
                                - success
                                - error
                                - ongoing
                            createdAt:
                              type: string
                            currentAttempt:
                              type: number
                            maxAttempts:
                              type: number
                            event:
                              type: string
                              enum:
                                - payment.created
                                - payment.voided
                                - payment.chargeback
                                - contact.status
                                - contact.active
                                - contact.inactive
                                - subscription.created
                                - subscription.updated
                                - subscription.cancelled
                            url:
                              type: string
                            lastAttempt:
                              type: object
                              nullable: true
                              properties:
                                status:
                                  type: string
                                  enum:
                                    - success
                                    - error
                                    - ongoing
                                request:
                                  nullable: true
                                response:
                                  type: string
                                  nullable: true
                                createdAt:
                                  type: string
                                attempt:
                                  type: number
                              required:
                                - status
                                - response
                                - createdAt
                                - attempt
                          required:
                            - id
                            - webhookId
                            - status
                            - createdAt
                            - currentAttempt
                            - maxAttempts
                            - event
                            - url
                            - lastAttempt
                      total:
                        type: number
                      totalPages:
                        type: number
                      currentPage:
                        type: number
                      limit:
                        type: number
                      hasNextPage:
                        type: boolean
                      hasPreviousPage:
                        type: boolean
                    required:
                      - data
                      - total
                      - totalPages
                      - currentPage
                      - limit
                      - hasNextPage
                      - hasPreviousPage
                required:
                  - logs
        '400':
          description: Solicitud incorrecta, parámetros de consulta no válidos
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````